PipeWire 1.6.5

Loading...
Searching...
No Matches
type.h File Reference
Core API » Type info

pipewire/type.h More...

Go to the source code of this file.

## Macros
#define | PW_TYPE_INFO_BASE "PipeWire:"
#define | PW_TYPE_INFO_Object PW_TYPE_INFO_BASE "Object"
#define | PW_TYPE_INFO_OBJECT_BASE PW_TYPE_INFO_Object ":"
#define | PW_TYPE_INFO_Interface PW_TYPE_INFO_BASE "Interface"
#define | PW_TYPE_INFO_INTERFACE_BASE PW_TYPE_INFO_Interface ":"

## Enumerations
enum | { PW_TYPE_FIRST = SPA_TYPE_VENDOR_PipeWire }

## Functions
const struct spa_type_info * | pw_type_info (void)

## Detailed Description

pipewire/type.h